<template>
  <div>
    <h1 class="mb-8">Did you have any of the following within three months before you started noticing hair loss or thinning?</h1>
    <div class="space-y-3 mb-8">
      <checkbox-input
        v-for="choice in choices"
        :key="choice"
        :input-value="choice"
        @input="handleCheckboxInput"
        :value="checkboxSelected"
      >
        {{ choice }}
      </checkbox-input>
    </div>
    <common-btn
      text="Next"
      :disabled="!checkboxSelected.length"
      @click="nextStage"
    />
  </div>
</template>

<script>
import {constants} from "@/constants";
import {answersMixin, checkboxMixin} from "@/utils/mixins";

export default {
  mixins: [answersMixin, checkboxMixin],
  name: "YourHealth7",
  data() {
    return {
      choices: [
        'Severe infection',
        'Hospitalization for more than 2 days',
        'Any serious illness',
        'Severe emotional stress',
        'Childbirth',
        constants.NONE_CHOICE
      ],
      checkHandler: newVal => {
        newVal = this.filterChoices(newVal)
        this.checkboxSelected = newVal
        this.setAnswer(this.answersKeys.YOUR_HEALTH, newVal, 'stage_7')
      }
    }
  }
}
</script>

<style scoped>

</style>
